Reply
 
Thread Tools Display Modes
  #1  
Old 10-28-2013, 12:59 AM
rrod rrod is online now
Member
 
Join Date: Jan 2013
Posts: 95
Thanks: 6
Thanked 0 Times in 0 Posts
Default Upgrade 9.2 p9 package upgrade problem
I installed (not upgraded) 9.2 p9. Previous version was 9.1. Update manager wants to upgrade packages. When I do, at some point I get an error message that states that there are conficts with the following packages. But no conflicting packages are listed. I tried "continue" and the other option the second time around which was, I am sorry I do not remember, could have been ignore or cancel. That is where I am at right now. There are are 132 packages listed. The second time around, each package was resuming downloads, then I received the same error message.
Reply With Quote
  #2  
Old 10-28-2013, 03:32 AM
DJ9 DJ9 is offline
Administrator of Justice and Stuff
 
Join Date: Aug 2013
Location: Wisconsin
Posts: 120
Thanks: 16
Thanked 19 Times in 16 Posts
Default
I'm getting the same problem with the 132 updated packages also, although I just did a fresh install of 9.2 Release-p8.

Here's the details. It just downloaded / resumed perl5-5.16.3_1.txz which gives you a PKGCONFLICTS. If you show the details is says "required by:" and nothing else.

So, pc-pkgmanager presents you with the following:

The following packages are causing conflicts with the selected changes and can be automatically removed. Continue? (choice is Yes, No)

If you choose Yes, the following dialog box pops up Failed! The package commands failed. A copy of the output was saved to /tmp/pkg-output.log

And here's the last few lines of pkg-output.log :

Resuming download of: /usr/local/tmp/All/perl5-5.16.3_1.txz
PKGCONFLICTS:
ERROR: pkg upgrade -U -F -y is still reporting conflicts... Resolve these manually and try again

Hope this helps.
Reply With Quote
  #3  
Old 10-28-2013, 01:31 PM
elija elija is offline
Junior Member
 
Join Date: Oct 2009
Posts: 7
Thanks: 0
Thanked 0 Times in 0 Posts
Default
I have the same issue and tried running sudo pkg upgrade -U -F -y from the terminal. This results in more information but unfortunately, I have no clue how to fix it.

Code:
Checking integrity...
Conflict found on path /usr/local/bin/a2p between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/c2ph between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/config_data between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/corelist between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/cpan between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/cpan2dist between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/cpanp between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/cpanp-run-perl between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/enc2xs between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/find2perl between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/h2ph between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/h2xs between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/instmodsh between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/json_pp between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/libnetcfg between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/perl between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/perlbug between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/perldoc between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/perlivp between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)
...
snip and many many more
...
Conflict found on path /usr/local/man/man1/xsubpp.1.gz between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)
Reply With Quote
  #4  
Old 10-28-2013, 10:18 PM
yggdrasil yggdrasil is offline
Member
 
Join Date: Sep 2013
Posts: 86
Thanks: 1
Thanked 9 Times in 8 Posts
Default
I ran into similar problems, and not for the first time. Basically every time an update comes around it fails because of a conflict between samba36 and samba-nmblookup. I always end up having to manually look over the upgrade, see what packages have never versions (as opposed to just being pulled in as dependencies) and try to manually install them one by one, therefore coming to a point where hopefully only a handful packages are still throwing conflicts. Those should be resolved easier with a few "-f"s in the right places of the old delete-reinstall cycle.
If only the cache mechanism of pkgng was better. Every second try or so it downloads all the packages anew. Very annoying.
Reply With Quote
  #5  
Old 10-29-2013, 01:13 AM
rrod rrod is online now
Member
 
Join Date: Jan 2013
Posts: 95
Thanks: 6
Thanked 0 Times in 0 Posts
Default
Also to add to this. Is this because of the package problem that the screen saver does not run and krunner does not function. In regards to krunner, as soon as you type a character, krunner closes. Just tried again to update packages. This is the failed package "Failed downloading http://pkg.cdn.pcbsd.org/9.2-RELEASE/amd64/All/py27-qt4-webkit-4.10.3.txz". That said, how do I perform a manual update of each package?
Reply With Quote
  #6  
Old 10-29-2013, 03:02 AM
bforest bforest is offline
Senior Member
 
Join Date: Feb 2009
Location: Va, USofA
Posts: 154
Thanks: 11
Thanked 8 Times in 6 Posts
Default
Similar issue. I exited the Package manager after it failed 3 times, opened a terminal, SUed to root (su -) and ran the command it listed but without the -U.

I could only post so much of my manual attempt but... it seems to continue trying and eventually downloads and continues... feels like the GUI was just timing out. (although there must be something wrong that it takes so many download tries before success.)

Quote:
[root@cdcws02] ~# pkg upgrade -F -y
Updating repository catalogue
Resuming download of: /usr/local/tmp/All/pcbsd-meta-kde-1373648951.txz
/usr/local/tmp/All/pcbsd-meta-kde-1373648951.t100% of 6896 B 18 MBps 00m00s

Resuming download of: /usr/local/tmp/All/plasma-scriptengine-ruby-4.10.5.txz

Resuming download of: /usr/local/tmp/All/plasma-scriptengine-python-4.10.5.txz
/usr/local/tmp/All/plasma-scriptengine-python-100% of 23 kB 9162 kBps 00m00s

Resuming download of: /usr/local/tmp/All/pcbsd-meta-kde-pim-1366133527.txz

Resuming download of: /usr/local/tmp/All/pcbsd-meta-kde-multimedia-1366133527.txz
/usr/local/tmp/All/pcbsd-meta-kde-multimedia-1100% of 5528 B 16 MBps 00m00s

Resuming download of: /usr/local/tmp/All/kdepim-4.10.5_1.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...-4.10.5_1.txz: Not Found

/usr/local/tmp/All/kdepim-4.10.5_1.txz 100% of 15 MB 717 kBps 00m21s

Resuming download of: /usr/local/tmp/All/kdebindings-4.10.5.txz

Resuming download of: /usr/local/tmp/All/amarok-2.7.0_3.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...k-2.7.0_3.txz: Not Found

/usr/local/tmp/All/amarok-2.7.0_3.txz 100% of 39 MB 4633 kBps 00m09s

Resuming download of: /usr/local/tmp/All/ruby19-korundum-4.10.5.txz

Resuming download of: /usr/local/tmp/All/py27-qt4-4.10.3.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...t4-4.10.3.txz: Not Found

fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...t4-4.10.3.txz: Not Found

/usr/local/tmp/All/py27-qt4-4.10.3.txz 100% of 2212 B 5565 kBps 00m00s

Resuming download of: /usr/local/tmp/All/py27-pykdeuic4-4.10.5.txz

Resuming download of: /usr/local/tmp/All/py27-pykde4-4.10.5.txz
/usr/local/tmp/All/py27-pykde4-4.10.5.txz 100% of 3028 kB 700 kBps 00m04s

Resuming download of: /usr/local/tmp/All/plasma-applet-panelspacer-0.2_8.txz

Resuming download of: /usr/local/tmp/All/plasma-applet-daisy-0.0.4.26.txz

Resuming download of: /usr/local/tmp/All/pcbsd-meta-kde-network-1366133527.txz
/usr/local/tmp/All/pcbsd-meta-kde-network-1366100% of 5980 B 30 MBps 00m00s

Resuming download of: /usr/local/tmp/All/pcbsd-meta-kde-graphics-1381943603.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...381943603.txz: Not Found

/usr/local/tmp/All/pcbsd-meta-kde-graphics-138100% of 6068 B 12 MBps 00m00s

Resuming download of: /usr/local/tmp/All/pcbsd-meta-kde-artwork-1366133527.txz

Resuming download of: /usr/local/tmp/All/pcbsd-meta-hplip-1366133527.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...366133527.txz: Requested Range Not Satisfiable

/usr/local/tmp/All/pcbsd-meta-hplip-1366133527100% of 5308 B 11 MBps 00m00s

Resuming download of: /usr/local/tmp/All/pcbsd-base-1382021797.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...382021797.txz: Not Found

fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...382021797.txz: Not Found

/usr/local/tmp/All/pcbsd-base-1382021797.txz 100% of 9900 B 17 MBps 00m00s

Resuming download of: /usr/local/tmp/All/p5-perlkde-4.10.5.txz
/usr/local/tmp/All/p5-perlkde-4.10.5.txz 100% of 47 kB 1651 kBps 00m00s

Resuming download of: /usr/local/tmp/All/ktorrent-4.3.1_1.txz
/usr/local/tmp/All/ktorrent-4.3.1_1.txz 100% of 2533 kB 2298 kBps 00m01s

Resuming download of: /usr/local/tmp/All/kdeutils-4.10.5.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...ls-4.10.5.txz: Requested Range Not Satisfiable

/usr/local/tmp/All/kdeutils-4.10.5.txz 100% of 5236 B 61 kBps 00m00s

Resuming download of: /usr/local/tmp/All/kdeplasma-addons-4.10.5.txz
/usr/local/tmp/All/kdeplasma-addons-4.10.5.txz100% of 3000 kB 2200 kBps 00m01s

Resuming download of: /usr/local/tmp/All/kdepim-runtime-4.10.5.txz
/usr/local/tmp/All/kdepim-runtime-4.10.5.txz 100% of 2710 kB 2286 kBps 00m01s

Resuming download of: /usr/local/tmp/All/kdenetwork-4.10.5.txz
/usr/local/tmp/All/kdenetwork-4.10.5.txz 100% of 1056 kB 372 kBps 00m03s

Resuming download of: /usr/local/tmp/All/kdegraphics-4.10.5.txz
/usr/local/tmp/All/kdegraphics-4.10.5.txz 100% of 4944 B 14 MBps 00m00s

Resuming download of: /usr/local/tmp/All/kdeartwork-4.10.5.txz
/usr/local/tmp/All/kdeartwork-4.10.5.txz 100% of 131 MB 560 kBps 04m00s^[[B

Resuming download of: /usr/local/tmp/All/kdeadmin-4.10.5.txz
/usr/local/tmp/All/kdeadmin-4.10.5.txz 100% of 853 kB 1898 kBps 00m00s

Resuming download of: /usr/local/tmp/All/kde4-windeco-nitrogen-3.3.3_4.txz

Resuming download of: /usr/local/tmp/All/kde4-style-skulpture-0.2.3_6.txz
/usr/local/tmp/All/kde4-style-skulpture-0.2.3_100% of 138 kB 1686 kBps 00m00s

Resuming download of: /usr/local/tmp/All/kde4-style-qtcurve-1.8.14.txz
/usr/local/tmp/All/kde4-style-qtcurve-1.8.14.t100% of 477 kB 1849 kBps 00m00s

Resuming download of: /usr/local/tmp/All/kde-workspace-4.10.5.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...ce-4.10.5.txz: Requested Range Not Satisfiable

/usr/local/tmp/All/kde-workspace-4.10.5.txz 100% of 16 MB 3943 kBps 00m05s

Resuming download of: /usr/local/tmp/All/kde-runtime-4.10.5.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...me-4.10.5.txz: Requested Range Not Satisfiable

/usr/local/tmp/All/kde-runtime-4.10.5.txz 100% of 8200 kB 2596 kBps 00m03s

Resuming download of: /usr/local/tmp/All/hplip-3.13.6.txz

Resuming download of: /usr/local/tmp/All/gdm-2.30.7_2.txz
/usr/local/tmp/All/gdm-2.30.7_2.txz 100% of 1018 kB 875 kBps 00m02s

Resuming download of: /usr/local/tmp/All/digikam-3.2.0_1,1.txz

Resuming download of: /usr/local/tmp/All/akonadi-googledata-1.2.0_2.txz
/usr/local/tmp/All/akonadi-googledata-1.2.0_2.100% of 92 kB 668 kBps 00m00s

Resuming download of: /usr/local/tmp/All/xsane-0.999.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...ane-0.999.txz: Not Found

fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...ane-0.999.txz: Not Found

/usr/local/tmp/All/xsane-0.999.txz 100% of 1547 kB 948 kBps 00m02s

Resuming download of: /usr/local/tmp/All/smokekde-4.10.5.txz

Resuming download of: /usr/local/tmp/All/ruby19-krossruby-4.10.5.txz

Resuming download of: /usr/local/tmp/All/py27-qt4-designerplugin-4.10.3_1,1.txz

Resuming download of: /usr/local/tmp/All/py27-qt4-designer-4.10.3,1.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...-4.10.3,1.txz: Not Found

fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...-4.10.3,1.txz: Not Found

/usr/local/tmp/All/py27-qt4-designer-4.10.3,1.100% of 121 kB 1000 kBps 00m00s

Resuming download of: /usr/local/tmp/All/py27-qt4-declarative-4.10.3.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...ve-4.10.3.txz: Not Found

/usr/local/tmp/All/py27-qt4-declarative-4.10.3100% of 97 kB 767 kBps 00m00s

Resuming download of: /usr/local/tmp/All/py27-qt4-assistant-4.10.3,1.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...-4.10.3,1.txz: Not Found

/usr/local/tmp/All/py27-qt4-assistant-4.10.3,1100% of 13 kB 107 kBps 00m00s

Resuming download of: /usr/local/tmp/All/libkolab-0.4.2.txz
/usr/local/tmp/All/libkolab-0.4.2.txz 100% of 335 kB 727 kBps 00m01s

Resuming download of: /usr/local/tmp/All/libkgapi-0.4.4.txz
/usr/local/tmp/All/libkgapi-0.4.4.txz 100% of 208 kB 1510 kBps 00m00s

Resuming download of: /usr/local/tmp/All/krfb-4.10.5.txz

Resuming download of: /usr/local/tmp/All/krdc-4.10.5.txz
/usr/local/tmp/All/krdc-4.10.5.txz 100% of 481 kB 503 kBps 00m00s

Resuming download of: /usr/local/tmp/All/kopete-4.10.5.txz

Resuming download of: /usr/local/tmp/All/konversation-1.4_2.txz
/usr/local/tmp/All/konversation-1.4_2.txz 100% of 3341 kB 2452 kBps 00m01s

Resuming download of: /usr/local/tmp/All/kipi-plugins-3.2.0,1.txz
/usr/local/tmp/All/kipi-plugins-3.2.0,1.txz 100% of 5984 B 38 MBps 00m00s

Resuming download of: /usr/local/tmp/All/kipi-plugin-gpssync-3.2.0.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...ync-3.2.0.txz: Requested Range Not Satisfiable

/usr/local/tmp/All/kipi-plugin-gpssync-3.2.0.t100% of 176 kB 838 kBps 00m00s

Resuming download of: /usr/local/tmp/All/kipi-plugin-calendar-3.2.0.txz
/usr/local/tmp/All/kipi-plugin-calendar-3.2.0.100% of 51 kB 1706 kBps 00m00s

Resuming download of: /usr/local/tmp/All/kgpg-4.10.5.txz
/usr/local/tmp/All/kgpg-4.10.5.txz 100% of 930 kB 688 kBps 00m01s

Resuming download of: /usr/local/tmp/All/kdepimlibs-4.10.5_1.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...-4.10.5_1.txz: Not Found

fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...-4.10.5_1.txz: Not Found

/usr/local/tmp/All/kdepimlibs-4.10.5_1.txz 100% of 4068 kB 1748 kBps 00m03s

Resuming download of: /usr/local/tmp/All/kdemultimedia-4.10.5.txz

Resuming download of: /usr/local/tmp/All/kdegraphics-mobipocket-4.10.5.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...et-4.10.5.txz: Requested Range Not Satisfiable

/usr/local/tmp/All/kdegraphics-mobipocket-4.10100% of 36 kB 396 kBps 00m00s

Resuming download of: /usr/local/tmp/All/kde-baseapps-4.10.5.txz

Resuming download of: /usr/local/tmp/All/gwenview-4.10.5.txz
/usr/local/tmp/All/gwenview-4.10.5.txz 100% of 2174 kB 571 kBps 00m04s

Resuming download of: /usr/local/tmp/All/gnome-session-2.32.1_2.txz
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...-2.32.1_2.txz: Requested Range Not Satisfiable

/usr/local/tmp/All/gnome-session-2.32.1_2.txz 100% of 313 kB 414 kBps 00m01s

Resuming download of: /usr/local/tmp/All/gnome-panel-2.32.1_3.txz

Resuming download of: /usr/local/tmp/All/gimp-app-2.8.6_1,1.txz

Resuming download of: /usr/local/tmp/All/evolution-data-server-2.32.1_4.txz

Resuming download of: /usr/local/tmp/All/zh-ibus-pinyin-1.4.0_1.txz

Resuming download of: /usr/local/tmp/All/zh-ibus-chewing-1.4.3_1.txz

Resuming download of: /usr/local/tmp/All/xscreensaver-gnome-5.12_1.txz

Resuming download of: /usr/local/tmp/All/xorg-7.7.txz

Resuming download of: /usr/local/tmp/All/telepathy-qt4-0.9.3.txz

Resuming download of: /usr/local/tmp/All/telepathy-farsight-0.0.19.txz

Resuming download of: /usr/local/tmp/All/ruby19-qtruby-4.10.5.txz

Resuming download of: /usr/local/tmp/All/py27-qt4-xmlpatterns-4.10.3.txz

...
__________________
- Ben

Last edited by bforest; 10-30-2013 at 12:31 PM.
Reply With Quote
The Following User Says Thank You to bforest For This Useful Post:
cp361 (11-29-2013)
  #7  
Old 10-29-2013, 04:06 AM
bforest bforest is offline
Senior Member
 
Join Date: Feb 2009
Location: Va, USofA
Posts: 154
Thanks: 11
Thanked 8 Times in 6 Posts
Default
ok.. My manual attempt finished. apparently some pkgs were installed successfully.

Quote:
. . .
fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...tils-0.22.txz: Not Found

fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...tils-0.22.txz: Not Found

fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...tils-0.22.txz: Not Found

fetch: http://pkg.cdn.pcbsd.org/9.2-RELEASE...tils-0.22.txz: Not Found

Failed downloading: http://pkg.cdn.pcbsd.org/9.2-RELEASE...utils-0.22.txz
Updating repository catalogue
Upgrades have been requested for the following 493 packages:

Installing perl5: 5.16.3_1
Reinstalling a2ps-4.13b_5 (direct dependency changed)
Upgrading curl: 7.32.0 -> 7.33.0
Installing llvm33: 3.3_7
Reinstalling dvd+rw-tools-7.1 (options changed)
Upgrading exiv2: 0.23,1 -> 0.23_1,1
Reinstalling foomatic-db-20090530_3 (direct dependency changed)
Reinstalling foomatic-db-engine-4.0.7,2 (direct dependency changed)
Reinstalling foomatic-db-hpijs-1.4 (direct dependency changed)
Installing gcc: 4.8.2.s20131010
Reinstalling glib-2.36.3 (direct dependency changed)
Reinstalling glibmm-2.36.2,1 (dir
. . .
Quote:
. . . ling p5-perlkde-4.10.5 (direct dependency changed)
Upgrading pcbsd-base: 1382020117 -> 1382021797
Reinstalling pcbsd-meta-hplip-1366133527 (direct dependency changed)
Reinstalling pcbsd-meta-kde-artwork-1366133527 (direct dependency changed)
Reinstalling pcbsd-meta-kde-graphics-1381943603 (direct dependency changed)
Reinstalling pcbsd-meta-kde-network-1366133527 (direct dependency changed)
Reinstalling plasma-applet-daisy-0.0.4.26 (direct dependency changed)
Reinstalling plasma-applet-panelspacer-0.2_8 (direct dependency changed)
Reinstalling py27-pykde4-4.10.5 (direct dependency changed)
Reinstalling py27-pykdeuic4-4.10.5 (direct dependency changed)
Upgrading py27-qt4: 4.10.2 -> 4.10.3
Reinstalling ruby19-korundum-4.10.5 (direct dependency changed)
Upgrading amarok: 2.7.0_2 -> 2.7.0_3
Reinstalling kdebindings-4.10.5 (direct dependency changed)
Upgrading kdepim: 4.10.5 -> 4.10.5_1
Reinstalling pcbsd-meta-kde-multimedia-1366133527 (direct dependency changed)
Reinstalling pcbsd-meta-kde-pim-1366133527 (direct dependency changed)
Reinstalling plasma-scriptengine-python-4.10.5 (direct dependency changed)
Reinstalling plasma-scriptengine-ruby-4.10.5 (direct dependency changed)
Reinstalling pcbsd-meta-kde-1373648951 (direct dependency changed)

The upgrade will require 497 MB more space

553 MB to be downloaded
foomatic-db-20090530_3.txz 100% 14MB 622.9KB/s 277.4KB/s 00:23
pkg: foomatic-db-20090530_3 failed checksum from repository
[root@cdcws02] ~#
.
This can't be a space issue. Must be a bad download file. I have plenty of space.

Code:
[root@cdcws02] ~# zfs list | less
NAME                       USED  AVAIL  REFER  MOUNTPOINT
tank                      15.7G   129G    31K  legacy
tank/ROOT                 9.89G   129G    31K  legacy
tank/ROOT/default         9.89G   129G  9.89G  /mnt
tank/tmp                   314K   129G   314K  /tmp
tank/usr                  5.81G   129G    31K  /mnt/usr
tank/usr/home              755M   129G   245M  /usr/home
tank/usr/home/user1     211M   129G   211M  /usr/home/user1
tank/usr/home/user2     300M   129G   300M  /usr/home/user2
tank/usr/jails              31K   129G    31K  /usr/jails
tank/usr/obj                31K   129G    31K  /usr/obj
tank/usr/pbi              5.07G   129G  5.07G  /usr/pbi
tank/usr/ports              63K   129G    32K  /usr/ports
tank/usr/ports/distfiles    31K   129G    31K  /usr/ports/distfiles
tank/usr/src                31K   129G    31K  /usr/src
tank/var                  25.4M   129G    31K  /mnt/var
tank/var/audit              33K   129G    33K  /var/audit
tank/var/log               215K   129G   215K  /var/log
tank/var/tmp              25.1M   129G  25.1M  /var/tmp
[root@cdcws02] ~#
__________________
- Ben
Reply With Quote
  #8  
Old 10-29-2013, 06:34 PM
brumbrum brumbrum is offline
Junior Member
 
Join Date: Oct 2013
Posts: 1
Thanks: 0
Thanked 1 Time in 1 Post
Default
Regarding this conflict of perl I removed perl5.14 and installed perl5.16 manually and that solved it. No idea if that's the official way since I'm new to PC-BSD.

Code:
sudo pkg delete -f perl
sudo pkg add /usr/local/tmp/All/perl5-5.16.3_1.txz
Update manager can now finish the rest of the upgrades.

Originally Posted by elija View Post
I have the same issue and tried running sudo pkg upgrade -U -F -y from the terminal. This results in more information but unfortunately, I have no clue how to fix it.

Code:
Checking integrity...
Conflict found on path /usr/local/bin/a2p between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/c2ph between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/config_data between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/corelist between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/cpan between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/cpan2dist between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/cpanp between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/cpanp-run-perl between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/enc2xs between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/find2perl between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/h2ph between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/h2xs between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/instmodsh between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/json_pp between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/libnetcfg between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/perl between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/perlbug between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/perldoc between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)

Conflict found on path /usr/local/bin/perlivp between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)
...
snip and many many more
...
Conflict found on path /usr/local/man/man1/xsubpp.1.gz between perl5.14-5.14.4_2(lang/perl5.14) and perl5-5.16.3_1(lang/perl5.16)
Reply With Quote
The Following User Says Thank You to brumbrum For This Useful Post:
MarkBenavides (11-13-2013)
  #9  
Old 10-31-2013, 01:43 PM
Beanpole's Avatar
Beanpole Beanpole is offline
Senior Member
 
Join Date: May 2010
Posts: 2,398
Thanks: 12
Thanked 395 Times in 325 Posts
Default
As BrumBrum discovered, the official way to deal with a package conflict like this is to forcibly remove the offending package before doing the pkg upgrade.
Code:
pkg delete -f <package>
pkg upgrade
The only reason that you are currently seeing this is because of a bug within "pkg" itself right now in the conflict detection. This should be getting resolved here soon, so hopefully you won't run into this again.
__________________
~ Ken Moore ~
PC-BSD/iXsystems
Reply With Quote
The Following 3 Users Say Thank You to Beanpole For This Useful Post:
bforest (10-31-2013), cp361 (11-29-2013), DJ9 (11-05-2013)
  #10  
Old 10-31-2013, 11:34 PM
bforest bforest is offline
Senior Member
 
Join Date: Feb 2009
Location: Va, USofA
Posts: 154
Thanks: 11
Thanked 8 Times in 6 Posts
Default
but... there seems to be two different issues happening in this thread...

The one you addressed ...

AND the repository checksum issue (which happens on different files) In this example:

Code:
foomatic-db-20090530_3.txz 100% 14MB 622.9KB/s 277.4KB/s 00:23
pkg: foomatic-db-20090530_3 failed checksum from repository
.
...or is this just an issue with the current "pkg"?
__________________
- Ben
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 03:23 AM.


Powered by vBulletin® Version 3.8.5
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.

Copyright 2005-2010, The PC-BSD Project. PC-BSD and the PC-BSD logo are registered trademarks of iXsystems.
All other content is freely available for sharing under the terms of the Creative Commons Attribution License.